play.mvc.results

## Class WebSocketResult

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - play.utils.FastRuntimeException
        - - play.mvc.results.Result
          - - play.mvc.results.WebSocketResult

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  WebSocketDisconnect

    public abstract class WebSocketResult
    extends Result

WebSocket Result support

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`WebSocketResult()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract void` `apply(Http.Request request, Http.Inbound inbound, Http.Outbound outbound)`
`void` `apply(Http.Request request, Http.Response response)`

### Methods inherited from class play.mvc.results.Result

`getEncoding, setContentTypeIfNotSet`

### Methods inherited from class play.utils.FastRuntimeException

`fillInStackTrace`

### Methods inherited from class java.lang.Throwable

`addSuppressed, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### WebSocketResult

    public WebSocketResult()

### Method Detail

#### apply

    public abstract void apply(Http.Request request,
                               Http.Inbound inbound,
                               Http.Outbound outbound)

#### apply

    public void apply(Http.Request request,
                      Http.Response response)

Specified by:
  `apply` in class `Result`